注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

信息 灵感 创新

I? =Information,Inspiration,Innovation

 
 
 

日志

 
 
关于我

we are 5. Mathematics, Computation, Programming, Engineering, and Making fun of life.

网易考拉推荐

ObjectARX创建基本图形对象(2)  

2014-11-27 17:38:45|  分类: ObjectARX |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

接前面:http://379910987.blog.163.com/blog/static/335237972014101984538963/

创建构造线

Code Snippet
  1. void CreateXLine()
  2. {
  3.     //头文件dbxline.h
  4.     AcDbXline* xline=new AcDbXline();
  5.     xline->setBasePoint(AcGePoint3d(100,0,0));
  6.     xline->setSecondPoint(AcGePoint3d(140,130,0));
  7.     AddToModelSpace(xline);
  8.     xline->close();
  9. }

创建射线

Code Snippet
  1. void CreateRay()
  2. {
  3.     //头文件dbray.h
  4.     AcDbRay* ray=new AcDbRay();
  5.     ray->setBasePoint(AcGePoint3d(100,0,0));
  6.     ray->setSecondPoint(AcGePoint3d(70,140,0));
  7.     AddToModelSpace(ray);
  8.     ray->close();
  9. }

创建引线

Code Snippet
  1. void CreateLeader()
  2. {
  3.     //头文件dblead.h
  4.     AcDbLeader* leader=new AcDbLeader();
  5.     leader->appendVertex(AcGePoint3d(0,0,0));
  6.     leader->appendVertex(AcGePoint3d(100,-50,0));
  7.     leader->appendVertex(AcGePoint3d(150,-50,0));
  8.     AcDbText* anno=new AcDbText(AcGePoint3d(160,-50,0),L"LEADER!");
  9.     AcDbObjectId annoID=AddToModelSpace(anno);
  10.     anno->close();
  11.     leader->attachAnnotation(annoID);
  12.     AddToModelSpace(leader);
  13.     leader->evaluateLeader();
  14.     leader->close();
  15. }
  评论这张
 
阅读(412)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016